Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 615575 - Review Request: perl-Parse-Method-Signatures - Perl6 like method signature parser
Review Request: perl-Parse-Method-Signatures - Perl6 like method signature pa...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Parse-Met...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-17 05:51 EDT by Iain Arnell
Modified: 2013-05-10 10:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-19 23:41:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-07-17 05:51:06 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Parse-Method-Signatures.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Parse-Method-Signatures-1.003013-1.fc14.src.rpm

Description:
Inspired by Perl6::Signature but streamlined to just support the subset
deemed useful for TryCatch and MooseX::Method::Signatures.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2325443

*rt-0.10_01
Comment 1 Parag AN(पराग) 2010-07-19 02:57:04 EDT
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2325443
+ rpmlint output for SRPM and for RPM.
perl-Parse-Method-Signatures.src: W: no-cleaning-of-buildroot %clean
perl-Parse-Method-Signatures.src: W: no-buildroot-tag
perl-Parse-Method-Signatures.src: W: no-%clean-section
==> this is due to new guidelines. 
+ source files match upstream url (sha1sum)
1df162eca8fd1b99497f7677b714116ebfb8305c  Parse-Method-Signatures-1.003013.tar.gz
1df162eca8fd1b99497f7677b714116ebfb8305c  Parse-Method-Signatures-1.003013.tar.gz.srpm

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present which is not needed now.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=344,  2 wallclock secs ( 0.07 usr  0.00 sys +  2.32 cusr  0.08 csys =  2.47 CPU)

+ Package  perl-Parse-Method-Signatures-1.003013-1.fc14.noarch =>
Provides: perl(Parse::Method::Signatures) = 1.003013 perl(Parse::Method::Signatures::Param) perl(Parse::Method::Signatures::Param::Bindable) perl(Parse::Method::Signatures::ParamCollection) perl(Parse::Method::Signatures::Param::Named) perl(Parse::Method::Signatures::Param::Placeholder) perl(Parse::Method::Signatures::Param::Positional) perl(Parse::Method::Signatures::Param::Unpacked) perl(Parse::Method::Signatures::Param::Unpacked::Array) perl(Parse::Method::Signatures::Param::Unpacked::Hash) perl(Parse::Method::Signatures::Sig) perl(Parse::Method::Signatures::TypeConstraint) perl(Parse::Method::Signatures::Types)

Requires: perl(base) perl(Carp) perl(List::MoreUtils) perl(Moose) perl(Moose::Role) perl(Moose::Util::TypeConstraints) perl(MooseX::Types) perl(MooseX::Types::Moose) perl(MooseX::Types::Structured) perl(MooseX::Types::Util) perl(namespace::clean) perl(Parse::Method::Signatures::ParamCollection) perl(Parse::Method::Signatures::Types) perl(PPI) perl(strict) perl(warnings) rpmlib(VersionedDependencies) <= 3.0.3-1

+ Not a GUI application

APPROVED.
Comment 2 Iain Arnell 2010-07-19 11:04:37 EDT
New Package CVS Request
=======================
Package Name: perl-Parse-Method-Signatures
Short Description: Perl6 like method signature parser
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2010-07-19 23:20:48 EDT
CVS done (by process-cvs-requests.py).
Comment 4 Iain Arnell 2010-07-19 23:41:17 EDT
Thanks for the review. Built and imported in rawhide.
Comment 5 Andrea Veri 2013-05-10 10:18:45 EDT
Package Change Request
======================
Package Name: perl-Parse-Method-Signatures
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig
Comment 6 Gwyn Ciesla 2013-05-10 10:23:31 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.